# Generated by Django 2.0.5 on 2018-08-31 01:41

import cuenta.models
import cuenta.sobreescribir_avatar
import django.contrib.auth.models
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0009_alter_user_last_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Persona',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('password', models.CharField(max_length=128, verbose_name='Clave')),
                ('last_login', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Último inicio de sesión:')),
                ('is_superuser', models.BooleanField(db_index=True, default=False, verbose_name='Super Administrador')),
                ('is_staff', models.BooleanField(db_index=True, default=False, verbose_name='Mantenimiento')),
                ('is_active', models.BooleanField(default=True, verbose_name='Activo')),
                ('username', models.CharField(db_index=True, max_length=150, unique=True, verbose_name='Nombre de usuario')),
                ('first_name', models.CharField(max_length=30, verbose_name='Nombre')),
                ('last_name', models.CharField(max_length=30, verbose_name='Apellido')),
                ('email', models.CharField(db_index=True, max_length=254, unique=True, verbose_name='Correo Electrónico')),
                ('email_secundario', models.CharField(blank=True, db_index=True, max_length=254, null=True, unique=True, verbose_name='Correo Secundario')),
                ('letra_cedula_identidad', models.CharField(blank=True, choices=[('V', 'V'), ('E', 'E')], default='V', max_length=1, null=True, verbose_name='Letra C.I.')),
                ('cedula_identidad', models.IntegerField(blank=True, db_index=True, null=True, verbose_name='Cédula de Identidad')),
                ('otros_nombres', models.CharField(blank=True, max_length=90, null=True, verbose_name='Otros Nombres')),
                ('otros_apellidos', models.CharField(blank=True, max_length=255, null=True, verbose_name='Otros Apellidos')),
                ('telefono', models.CharField(blank=True, max_length=255, null=True, verbose_name='Teléfono Local')),
                ('celular', models.CharField(blank=True, max_length=255, null=True, verbose_name='Teléfono Celular')),
                ('fecha_nacimiento', models.DateField(blank=True, null=True, verbose_name='Fecha de Nacimiento')),
                ('sexo', models.CharField(blank=True, choices=[('F', 'FEMENINO'), ('M', 'MASCULINO')], max_length=255, null=True)),
                ('domicilio', models.CharField(blank=True, max_length=255, null=True)),
                ('estado_civil', models.CharField(blank=True, choices=[('S', 'SOLTERO'), ('C', 'CASADO'), ('D', 'DIVORCIADO'), ('V', 'VIUDO')], max_length=1, null=True)),
                ('grado_instruccion', models.CharField(blank=True, choices=[('BACH', 'BACHILLER'), ('TSU', 'TÉCNICO SUPERIOR UNIVERSITARIO'), ('LIC', 'LICENCIADO'), ('ING', 'INGENIERO'), ('DOC', 'DOCTOR')], max_length=4, null=True)),
                ('avatar', models.ImageField(blank=True, default='avatar/default_avatar.png', max_length=255, null=True, storage=cuenta.sobreescribir_avatar.SobreEscribirAvatar(), upload_to=cuenta.models.image_path)),
            ],
            options={
                'verbose_name_plural': 'Personas',
                'db_table': 'auth_user',
                'verbose_name': 'Persona',
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='Estado',
            fields=[
                ('idestado', models.CharField(db_column='id_estado', max_length=2)),
                ('nombreestado', models.CharField(db_column='nombre_estado', max_length=255)),
                ('idestadoglobal', models.AutoField(db_column='id_estado_global', primary_key=True, serialize=False)),
            ],
            options={
                'verbose_name_plural': 'Estados',
                'db_table': 'public"."estado',
                'verbose_name': 'Estado',
            },
        ),
        migrations.CreateModel(
            name='Municipio',
            fields=[
                ('idmunicipiocompleto', models.CharField(db_column='id_municipio_completo', max_length=4)),
                ('idestado', models.CharField(db_column='id_estado', max_length=2, verbose_name=cuenta.models.Estado)),
                ('idmunicipio', models.CharField(db_column='id_municipio', max_length=2)),
                ('nombremunicipio', models.CharField(db_column='nombre_municipio', max_length=255)),
                ('idmunicipioglobal', models.AutoField(db_column='id_municipio_global', primary_key=True, serialize=False)),
            ],
            options={
                'verbose_name_plural': 'Municipios',
                'db_table': 'public"."municipio',
                'verbose_name': 'Municipio',
            },
        ),
        migrations.CreateModel(
            name='Parroquia',
            fields=[
                ('idparroquiacompleto', models.CharField(db_column='id_parroquia_completo', max_length=6)),
                ('idmunicipiocompleto', models.CharField(db_column='id_municipio_completo', max_length=4, verbose_name=cuenta.models.Municipio)),
                ('idestadoparroquia', models.CharField(db_column='id_estado', max_length=2)),
                ('idmunicipioparroquia', models.CharField(db_column='id_municipio_parroquia', max_length=2)),
                ('idparroquia', models.CharField(db_column='id_parroquia', max_length=2)),
                ('nombreparroquia', models.CharField(db_column='nombre_parroquia', max_length=255)),
                ('idparroquiaglobal', models.AutoField(db_column='id_parroquia_global', primary_key=True, serialize=False)),
            ],
            options={
                'verbose_name_plural': 'Parroquias',
                'db_table': 'public"."parroquia',
                'verbose_name': 'Parroquia',
            },
        ),
        migrations.CreateModel(
            name='Saime',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(blank=True, max_length=30, null=True)),
                ('last_name', models.CharField(blank=True, max_length=30, null=True)),
                ('letra_cedula_identidad', models.CharField(max_length=1)),
                ('cedula_identidad', models.IntegerField(unique=True)),
                ('otros_nombres', models.CharField(blank=True, max_length=255, null=True)),
                ('otros_apellidos', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'verbose_name_plural': 'Registros del Saime',
                'db_table': 'public"."saime',
                'verbose_name': 'Registro Saime',
            },
        ),
        migrations.CreateModel(
            name='ZonaPostal',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.CharField(max_length=50)),
                ('zona', models.CharField(max_length=255)),
                ('codigo_postal', models.IntegerField()),
            ],
            options={
                'verbose_name_plural': 'Zonas Postales',
                'db_table': 'public"."zona_postal',
                'verbose_name': 'Zona Postal',
            },
        ),
        migrations.AddIndex(
            model_name='saime',
            index=models.Index(fields=['cedula_identidad'], name='saime_cedula__de655c_idx'),
        ),
        migrations.AddField(
            model_name='parroquia',
            name='idmunicipioglobal',
            field=models.ForeignKey(db_column='id_municipio_global', on_delete=django.db.models.deletion.PROTECT, to='cuenta.Municipio'),
        ),
        migrations.AddField(
            model_name='municipio',
            name='idestadoglobal',
            field=models.ForeignKey(db_column='id_estado_global', on_delete=django.db.models.deletion.PROTECT, to='cuenta.Estado'),
        ),
        migrations.AddField(
            model_name='persona',
            name='groups',
            field=models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups'),
        ),
        migrations.AddField(
            model_name='persona',
            name='user_permissions',
            field=models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions'),
        ),
    ]
